# TdApi.MessageChatUpgradeFrom

Package it.ernytech.tdlib

## Class TdApi.MessageChatUpgradeFrom

- java.lang.Object
- - it.ernytech.tdlib.TdApi.Object
  - - it.ernytech.tdlib.TdApi.MessageContent
    - - it.ernytech.tdlib.TdApi.MessageChatUpgradeFrom

Enclosing class:
  TdApi

    public static class TdApi.MessageChatUpgradeFrom
    extends TdApi.MessageContent

A supergroup has been created from a basic group.

### Field Summary

Fields
`int` `basicGroupId` The identifier of the original basic group.
`static int` `CONSTRUCTOR` Identifier uniquely determining type of the object.
`java.lang.String` `title` Title of the newly created supergroup.

### Constructor Summary

Constructors
`MessageChatUpgradeFrom()` Default constructor.
`MessageChatUpgradeFrom​(java.lang.String title, int basicGroupId)` Constructor for initialization of all fields.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getConstructor()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class it.ernytech.tdlib.TdApi.Object

`toString`

### Field Detail

#### title

    public java.lang.String title

Title of the newly created supergroup.

#### basicGroupId

    public int basicGroupId

The identifier of the original basic group.

#### CONSTRUCTOR

    public static final int CONSTRUCTOR

Identifier uniquely determining type of the object.

See Also:
  Constant Field Values

### Constructor Detail

#### MessageChatUpgradeFrom

    public MessageChatUpgradeFrom()

Default constructor.

#### MessageChatUpgradeFrom

    public MessageChatUpgradeFrom​(java.lang.String title,
                                  int basicGroupId)

Constructor for initialization of all fields.

Parameters:
  `title` - Title of the newly created supergroup.
  `basicGroupId` - The identifier of the original basic group.

### Method Detail

#### getConstructor

    public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR